Subject: SV: Undefined reference to _impure_ptr. Any glue?
From: [email-masked] (Sune Falck)

5 Nov 1998 00:35:12 -0800
Message-ID: <001801be074e$1ec93960$0c00a8c0.cygnus.gnu-win32@suf-hempc>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="koi8-r"
Content-Transfer-Encoding: 8bit
To: "Maxim Sobolev" <[email-masked]>, <[email-masked]>

The switch "-mno-cygwin" adds among other things
a switch "-iwithprefixbefore include/mingw32" to the
cpp command - see specs file.  This seems not to have 
any effect and cpp still reads the stdio.h from the cygwin32
include directory with linking errors as the result.

The mingw32 stdio.h must be first in search order and
I changed the specs file to have an "-I" parameter for
the mingw32 include directory and then C programs
link OK with "-mno-cygwin" but there were still
problems with c++ programs.

/Sune Falck

-----Ursprungligt meddelande-----
Fran: Maxim Sobolev <[email-masked]>
Till: [email-masked] <[email-masked]>
Datum: den 3 november 1998 14:15
Amne: B20: Undefined reference to _impure_ptr. Any glue?

>Hi folks,
>
>I just installed B20 and trying to recompile program which I ported to
>Mingw32. I'm using "-mno-cygwin" switch, as it defined in B20 readme.
>But all program, which previously fine compiled on Mingw32, on link
>stage reported the same error: "undefined reference to _impure_ptr". Do
>you have any ideas?
>

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".